
QGIS Application - Bug report #825

Layers can't be quickly rearranged without upsetting the order

2007-11-22 03:20 PM - gburns -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Project Loading/Saving

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate

Crashes QGIS or corrupts data: Copied to github as #: 10884

Description

When you use a Layer Set and try to rearrange the layers within the set (ie in alphabetical order), under certain conditions the layers are

rearranged in an unexpected way. This only occurs when you move the layer too fast. eg. if you have a list of layers:

B

C

D

A

and you move A upwards fairly slowly to the top, the new list will be in order. However, if you move it too fast, the other layers get out of

order. This effect may not occur in a short list.

The problem occurs because when you move a layer, it swaps around, in real time, with every other layer it comes across. If you move too

fast, this swapping doesn’t happen correctly, and layers get swapped which shouldn’t. Other software that I have used doesn’t do the

rearranging until you let go of the mouse.

Also, it is not a good idea when a layer is being moved, to have sets open up as they are passed. If you try to move a layer past a set with

100 items, the 100 items suddenly appear before you, and you have to pass all those layers as well. I suggest that when layers are

moved, they pass sets without opening them.

This is a major problem in trying to maintain layers in order. You might spend 10 minutes putting 100 items in order in several different

sets, but if you move one layer too fast, the whole lot get out of order.

History

#1 - 2008-05-05 11:37 AM - paulp575 -

UPDATE: Just installed v0.10.0 on a computer with Windows XP with SP2 installed and the problem still exists!

#2 - 2008-07-31 06:43 PM - paulp575 -

UPDATE: Just installed v0.11.0 on a computer running Windows XP Pro with SP2 installedand the problem still exists!

#3 - 2008-08-30 02:09 AM - Maciej Sieczka -
Replying to [comment:3 paulp575]:

UPDATE: Just installed v0.11.0 on a computer running Windows XP Pro with SP2 installedand the

problem still exists!

I confirm the bug in SVN trunk commit:042e99f6 (SVN r9206) on Debian testing amd64.

#4 - 2008-10-27 12:41 PM - Magnus Homann

- Resolution set to duplicate

- Status changed from Open to Closed

This looks like a duplicate of #699, so I close it. Chanegs has been made since commit:acdbf8af (SVN r9548), please try it out.

#5 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
